NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::BeamSectionOptions Class Reference

Represents the synchronize options to be used when a FEM part is created These options will be used to synchronize the specified entities from the master CAD part file to the FEM part file. More...

Inheritance diagram for NXOpen::CAE::BeamSectionOptions:
NXOpen::TransientObject

Public Member Functions

NXOpen::CAE::BeamSectionBeamAftSection ()
 Returns the section of aft beam end
Created in NX5.0.0. More...
 
NXOpen::CAE::BeamSectionBeamForeSection ()
 Returns the section of fore beam end
Created in NX5.0.0. More...
 
bool BeamSectionTapered ()
 Returns the flag indicating whether the beam section is tapered
Created in NX5.0.0. More...
 
bool BeamSectionTaperedChaining ()
 Returns the flag indicating whether the beam section is in tapered chaining
Created in NX8.0.0. More...
 
void SetBeamAftSection (NXOpen::CAE::BeamSection *beamSection)
 Sets the section of aft beam end
Created in NX5.0.0. More...
 
void SetBeamForeSection (NXOpen::CAE::BeamSection *beamSection)
 Sets the section of fore beam end
Created in NX5.0.0. More...
 
void SetBeamSectionTapered (bool bTapered)
 Sets the flag indicating whether the beam section is tapered
Created in NX5.0.0. More...
 
void SetBeamSectionTaperedChaining (bool bTaperedChaining)
 Sets the flag indicating whether the beam section is in tapered chaining
Created in NX8.0.0. More...
 
virtual ~BeamSectionOptions ()
 Destroys the object
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description

Represents the synchronize options to be used when a FEM part is created These options will be used to synchronize the specified entities from the master CAD part file to the FEM part file.


To create a new instance of this class, use NXOpen::CAE::CaePart::NewBeamSectionOptions

Created in NX5.0.0.

Constructor & Destructor Documentation

virtual NXOpen::CAE::BeamSectionOptions::~BeamSectionOptions ( )
virtual

Destroys the object
Created in NX5.0.0.



License requirements : None

Member Function Documentation

NXOpen::CAE::BeamSection* NXOpen::CAE::BeamSectionOptions::BeamAftSection ( )

Returns the section of aft beam end
Created in NX5.0.0.



License requirements : None

NXOpen::CAE::BeamSection* NXOpen::CAE::BeamSectionOptions::BeamForeSection ( )

Returns the section of fore beam end
Created in NX5.0.0.



License requirements : None

bool NXOpen::CAE::BeamSectionOptions::BeamSectionTapered ( )

Returns the flag indicating whether the beam section is tapered
Created in NX5.0.0.



License requirements : None

bool NXOpen::CAE::BeamSectionOptions::BeamSectionTaperedChaining ( )

Returns the flag indicating whether the beam section is in tapered chaining
Created in NX8.0.0.



License requirements : None

void NXOpen::CAE::BeamSectionOptions::SetBeamAftSection ( NXOpen::CAE::BeamSection beamSection)

Sets the section of aft beam end
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
beamSectionbeam section
void NXOpen::CAE::BeamSectionOptions::SetBeamForeSection ( NXOpen::CAE::BeamSection beamSection)

Sets the section of fore beam end
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
beamSectionbeam section
void NXOpen::CAE::BeamSectionOptions::SetBeamSectionTapered ( bool  bTapered)

Sets the flag indicating whether the beam section is tapered
Created in NX5.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bTaperedbtapered
void NXOpen::CAE::BeamSectionOptions::SetBeamSectionTaperedChaining ( bool  bTaperedChaining)

Sets the flag indicating whether the beam section is in tapered chaining
Created in NX8.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
bTaperedChainingbtaperedchaining

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.